Bug 190167 - grubby activates the wrong kernel variant as default
grubby activates the wrong kernel variant as default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-28 09:57 EDT by Nils Philippsen
Modified: 2008-04-04 07:13 EDT (History)
1 user (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 07:13:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2006-04-28 09:57:05 EDT
Description of problem:

When updating kernel* packages, grubby activates the wrong variant as default,
i.e. xen0 instead of UP on one machine (Athlon 1400) and smp instead of UP on
another (Athlon 700).

Version-Release number of selected component (if applicable):
mkinitrd-5.0.32-1

How reproducible:
Easy

Steps to Reproduce:
1. Update kernel* packages
2. check "default" in /boot/grub/grub.conf
  
Actual results:
default kernel from a different variant

Expected results:
default kernel from same variant
Comment 1 Nils Philippsen 2006-05-03 12:18:01 EDT
I've seen this again with the update to 2.6.16-1.2107_FC5, it defaulted to the
xen0 variant even though it defaulted to the UP variant previously.
Comment 2 Bug Zapper 2008-04-03 22:47:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Nils Philippsen 2008-04-04 07:13:55 EDT
It seems to me that grubby activates whatever is configured in
/etc/sysconfig/kernel.

Note You need to log in before you can comment on or make changes to this bug.